import torch
from torch import nn

rnn = nn.LSTM(10, 20, 2)        # 2层，输入为 (seq, batch, 10) 
                            # 输出为 (seq, batch, 20)
inputs = torch.randn(5, 3, 10)    # 输入数据，seq=5, batch=3
h0 = torch.randn(2, 3, 20)       # 初始hidden state，2层，3个batch
                                  # 每层20神经元
c0 = torch.randn(2, 3, 20)       # 初始 cell，同上
output, (hn, cn) = rnn(inputs, (h0, c0))


rnn = nn.LSTMCell(10, 20)               # 初始化RNN cell
inputs = torch.randn(6, 3, 10)            # 输入，seq=6，batch=3
hx = torch.randn(3, 20)                 # 对应LSTM的h和c
cx = torch.randn(3, 20)                 # hidden state and cell
output = []
for i in range(6):                       # 循环，每一次处理当前时刻
    hx, cx = rnn(inputs[i], (hx, cx))        # 的input以及上一时刻的h和c
    output.append(hx)
